TRX-RX(1)

NAME
trx-rx - real-time audio receiver over IP

SYNOPSIS
trx-rx [-d DEV] [-m MS] [-h ADDR] [-p PORT] [-j MS] [-r RATE] [-c N] [-v N] [-v FILE]

DESCRIPTION
trx-rx receives real-time audio over IP and plays it out to an ALSA audio device.

OPTIONS

-d DEV
    The alsa device name. Default is 'default'

-m MS
    Set the buffer time. Default is 16 milliseconds

-h ADDR
    Set the IP address to listen on. Default is ::

-p PORT
    Set the UDP port to listen on. Default is 1350

-j MS
    Set the jitter buffer length. Default is 16 milliseconds.

-r RATE
    Set the sample rate. Default is 48000Hz.

-c N
    Set the number of channels. Default is 2.

-v N
    Set the verbosity level. Higher N implies more verbosity. Default is 1.

-D FILE
    Run the receiver as a daemon, writing the process ID to FILE.

NOTES
The Debian package has renamed the upstream binary rx to trx-rx as it is less generic and less likely to collide with other packaged binaries.

EXAMPLE
To receive audio being sent to the local interface with the IP address 239.0.0.1 use the following:

    trx-rx -h 239.0.0.1